Returns a specific journal.
Use this method if you want to get specific journal. The list of field groups for Journal:
- Default: ID, Status, Template, Amount, Comment, LockedUser, ApproveUser, ApprovalDate, BusinessDate, AdditionalDateTime Permissions: All users.
Path Parameters
- Type: stringFormat: uuididrequired
Query Parameters
- Type: stringFields
This parameter is used to specify a comma delimited list of fields to return for an object. A field group can also be specified in the following format: 'fieldGroupName'. All fields for an object can be returned by specifying 'All'
'Default' group is always shown, even if Fields parameter is not specified. 'Lookup' group will be shown if a model is a child of required.
- Type: stringapi
-version
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
Request Example for get/Journals/{id}
curl /Journals/C895A81E-0C20-42C0-B2DC-EAF43F9447BD \
--header 'DCKey: YOUR_SECRET_TOKEN'
{
"Data": [
{
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Status": {
"ID": null,
"Description": null
},
"Template": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Collection": null,
"EntryOrder": null,
"Description": null,
"Account": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
},
"ValidateAccount": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
},
"Type": {
"ID": null,
"Description": null
},
"Mask": null,
"AddDateTime": false,
"MultipleEntries": false,
"Hidden": null,
"Frequency": {
"ID": "string",
"Description": null
},
"FrequencyOption": [
1
],
"Image": {
"ID": "string",
"Description": null
}
},
"Amount": null,
"Comment": null,
"AdditionalDateTime": "2019-01-03T04:39:40",
"LockedUser": null,
"ApproveUser": null,
"ApprovalDate": "2019-01-03T04:39:40",
"BusinessDate": "2019-01-03",
"ImageLink": null
}
]
}